Bug 429280 - xdg-open doesn't open URLs
xdg-open doesn't open URLs
Product: Fedora
Classification: Fedora
Component: xdg-utils (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-18 09:31 EST by Miroslav Lichvar
Modified: 2008-01-22 10:54 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.2-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-22 10:54:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2008-01-18 09:31:48 EST
Description of problem:
In generic DE (i.e no KDE, GNOME, XFCE), xdg-open doesn't open URLs when the
mimeopen utility is installed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install perl-File-MimeInfo package
2. start plain X session
3. xdg-open 'http://fedoraproject.org/'
Actual results:
Error message:
Could not determine mimetype for file: http://fedoraproject.org/

Expected results:
The web page opened in a browser.

Additional info:
Comment 1 Rex Dieter 2008-01-18 09:40:49 EST
Try this patch (to /usr/bin/xdg-open):

--- xdg-open.mimeopen   2008-01-18 08:39:40.000000000 -0600
+++ xdg-open    2008-01-18 08:38:10.000000000 -0600
@@ -364,8 +364,8 @@
         mimeopen -n "$1"
         if [ $? -eq 0 ]; then
-        else
-            exit_failure_operation_failed
+#        else
+#            exit_failure_operation_failed

Comment 2 Miroslav Lichvar 2008-01-18 09:50:19 EST
With the patch it works as expected. Thanks.
Comment 3 Rex Dieter 2008-01-18 09:53:08 EST
* Fri Jan 18 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.2-3
- fix mimeopen support (#429280)
Comment 4 Patrice Dumas 2008-01-18 10:04:34 EST
This looks good. If no application is found or the application 
doesn't understand urls and exits (I tested with xpdf) the browser 
is used.

We have plans (with the mimeopen maintainer) to add support
for urls, by adding a Protocol entry in the desktop files to
have applications register which url protocol they understand,
and I submitted it to the xdg mailing list but so far there 
hasn't been many feedback.
Comment 5 Rex Dieter 2008-01-18 10:15:36 EST
Patrice, thx, fyi, I've pushed the mimeinfo patch/changes (as-is now anyway)
upstream already.
Comment 6 Rex Dieter 2008-01-18 11:10:51 EST
Patrice, any links/references to the aforementioned submission(s) to the xdg list?
Comment 8 Fedora Update System 2008-01-22 10:52:44 EST
xdg-utils-1.0.2-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-01-22 10:54:14 EST
xdg-utils-1.0.2-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.